CycleRunsController_rollback
POST
/api/cycles/runs/{runId}/rollback
const url = 'https://api.streams-ai.com/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rollback';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"targetPhaseIdx":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams-ai.com/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rollback \ --header 'Content-Type: application/json' \ --data '{ "targetPhaseIdx": 1 }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
targetPhaseIdx
required
integer
Examplegenerated
{ "targetPhaseIdx": 1}
